> For the complete documentation index, see [llms.txt](https://carpool.gitbook.io/carpool/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://carpool.gitbook.io/carpool/api-reference/accounts/get_accounts_with_lamports.md).

# GET\_ACCOUNTS\_WITH\_LAMPORTS

## Overview

*This method will return accounts that lay within the specified lamport range or value. Running with only required body params will return all recent instructions and default to 10 objects. Feel free to make use of all non-required body params for more advanced queries. Refer to the Body "Schema" tab for help*

{% openapi src="/files/aFZuFluKnC4rzy3dDaQM" path="/query/solana" method="post" %}
[Carpool\_dev-GET\_ACCOUNTS\_WITH\_LAMPORTS-0.1-resolved.json](https://2513171703-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FE1gzfwcjB542lI2VR9XI%2Fuploads%2F1tyCvSH6n2NuMvlYSrNv%2FCarpool_dev-GET_ACCOUNTS_WITH_LAMPORTS-0.1-resolved.json?alt=media\&token=235d0af3-d608-4849-8655-04c67241cb5f)
{% endopenapi %}

## Lamports Type

The 'lamports' field follows the below type. You can make use of the 'gte', 'lte', or 'eq' params to achieve your desired result:

```typescript
// Either an equality check, or GTE/LTE range, one of which must be set.
export type NumericRange = XOR<XOR<{
  gte: number;
  lte?: number;
}, {
  gte?: number;
  lte: number;
}>, { eq: number }>;
```

## Example - Basic

**Program** - *Candy Machine*

**Description** *- Return all CandyMachine accounts with a lamports balance greater than 10000000*

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "GET_ACCOUNTS_WITH_LAMPORTS",
  "query": {
    "programId": "cndy3Z4yapfJBmL3ShUp5exZKqR3z33thTzeNMm2gRZ",
    "accountName": "CandyMachine",
    "lamports": {
      "gte": 10000000
    }
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "GET_ACCOUNTS_WITH_LAMPORTS",
    "query": {
        "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
        "accountName": "OrdersAccount",
        "lamports": {
            "gte": 10000000
        }
    }
}'
```

## Example - Advanced

**Program** - *Cypher Protocol*

**Description** *- Return all OrdersAccount accounts with a lamports balance greater than 10000000. Look Only in the specific time range and return all response body fields.*

#### Javascript

```javascript
var myHeaders = new Headers();
myHeaders.append("x-api-key", "<API_KEY>");
myHeaders.append("Content-Type", "application/json");

var raw = JSON.stringify({
  "type": "GET_ACCOUNTS_WITH_LAMPORTS",
  "query": {
    "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
    "accountName": "OrdersAccount",
    "lamports": {
      "gte": 10000000
    },
    "pagination": {
      "offset": 0,
      "limit": 10
    },
    "sort": {
      "order": "desc"
    },
    "fields": [],
    "timeRange": {
      "before": "2023-07-17T22:53:09+0000",
      "after": "2023-07-11T22:53:09+0000"
    }
  }
});

var requestOptions = {
  method: 'POST',
  headers: myHeaders,
  body: raw,
  redirect: 'follow'
};

fetch("https://mainnet.carpool.dev/query/solana", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

#### cURL

```
curl --location 'https://mainnet.carpool.dev/query/solana' \
--header 'x-api-key: <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "GET_ACCOUNTS_WITH_LAMPORTS",
    "query": {
        "programId": "CYPH3o83JX6jY6NkbproSpdmQ5VWJtxjfJ5P8veyYVu3",
        "accountName": "OrdersAccount",
        "lamports": {
            "gte": 10000000
        },
        "pagination": {
            "offset": 0,
            "limit": 10
        },
        "sort": {
            "order": "desc"
        },
        "fields": [],
        "timeRange": {
            "before": "2023-07-17T22:53:09+0000",
            "after": "2023-07-11T22:53:09+0000"
        }
    }
}'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://carpool.gitbook.io/carpool/api-reference/accounts/get_accounts_with_lamports.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
